body {
    font-family: "Work Sans", sans-serif;
    font-style: normal;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

h1, h2, h3, p, .cont {
    overflow-y: hidden;
}

html {
    overflow-x: hidden;
}

.skip-to-content {
    position: absolute;
    left: -9999px;
}

.skip-to-content:focus {
    left: auto;
}

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    transition: top .5s ease;
    background-color: #FFC700;
    box-shadow: 0 2px 2px rgba(20, 20, 20, 0.212);
}

.container-fluid {
    margin: .75rem 0.5rem;
}

.navbar-brand,
.navbar-brand:hover {
    font-weight: 700;
    font-size: 1.25rem;
    color: #000000;
    z-index: 1000;
}

.navbar .navbar-toggler {
    z-index: 1000;
    outline: none;
    border: none;
}

.bar {
    display: block;
    width: 35px;
    height: 3px;
    background-color: #383838;
    margin: 7px auto;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}

.navbar-toggler.active .bar:nth-child(1) {
    transform: translateY(5px) rotate(45deg);
}

.navbar-toggler.active .bar:nth-child(2) {
    transform: translateY(-5px) rotate(-45deg);
}

.overlay-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    background-color: #F4F4F3;
    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: center;
    z-index: 999;
    transition: right 0.3s ease;
}

.overlay-menu a {
    font-size: 2.5rem;
    font-weight: 500;
    text-transform: capitalize;
    color: #000000;
    text-decoration: none;
    transition: color 0.3s ease;
    padding: 0 2.5rem;
}

.overlay-menu a:hover,
.overlay-menu a:active {
    color: #383838;
}

.nav-link {
    color: #000000;
    text-transform: uppercase;
    font-size: 1rem;
    font-weight: 600;
    text-decoration: none;
    margin-right: .75rem;
}

.nav-link:hover,
.nav-link:active {
    color: #000000;
    text-decoration: underline;
}

#book-now-button,
#log-out-button {
    font-weight: 600;
    color: #FFC700;
    text-transform: uppercase;
    background-color: #000000;
    border-radius: 50px;
    border: none;
    padding: 9px 18px;
    transition: color 0.3s ease;
}

#book-now-button:hover,
#book-now-button:active,
#log-out-button:hover,
#log-out-button:active {
    background-color: #383838;
}

/* HERO */
.background {
    background-image: url(../img/hero-background.jpg);
    max-width: 100%;
    height: auto;
    background-size: cover;
    background-position: center center;
}

.background-text {
    background-color: #000000;
    width: 90%;
    margin: auto;
    margin-top: 25vh;
}

.background-text h2 {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3.5rem;
    font-weight: 700;
    color: #FFC700;
    width: 90%;
    margin: 2rem 2rem 0 2rem;
    max-width: 100%;
}

.buttons-index {
    display: flex ;
    justify-content: flex-start;
    align-items: center;
}

.btn-login,
.btn-signup {
    cursor: pointer;
    background-color: black;
    border: 2px solid #ffc700;
    border-radius: 50px;
    color: #ffc700;
    padding: .5rem 1rem;
    margin: 0 0 5rem 3rem;
    font-weight: 600;
    font-size: 1.5rem;
    text-transform: uppercase;
}

.btn-login:hover,
.btn-signup:hover {
   background-color: #ffc700;
   color: black;
}


/* RATES */
.rates {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #FFC700;
    height: 50vh;
    text-transform: uppercase;
    margin: 0 auto;
}

#price {
    font-size: 2.5rem;
    font-weight: 700;
    color: #000000;
}


/* ADDRESS */
.address {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 3rem 2rem 0 2rem;
}

.address h3 {
    font-weight: 700;
    font-size: 3.5rem;
    color: #000000;
    margin-top: .5rem;
}

.business-info {
    width: 100%;
    justify-content: space-evenly;
    font-weight: 500;
    color: #000000;
    margin: auto;
}

.phone {
    width: 50%;
    padding-right: 2rem;
}

.phone a {
    color: #000000;
}


.hours {
    width: 50%;
    padding-left: 2rem;
}

.hours h6,
.phone h6 {
    font-weight: 700;
    margin-top: 1.5rem;
}

/* MAP */
.map-container {
    padding: 0;
    margin-top: 1.5rem;
    height: 50vh;
    background-color: #ffffff;
    border: none;
}

.map-container iframe {
    height: 100%;
    width: 100%;
    filter: grayscale(100%) brightness(75%) contrast(100%);
    border: none;
}

/* INDEX FORM */
.question-form {
    background-color: #FFC700;
}

.parking-lot {
    padding: 5rem 1rem 0;
}

.parking-lot h4 {
    font-size: 2.5rem;
    font-weight: 700;
    color: #000000;
}

.parking-lot p {
    padding-top: 1rem;
    font-size: 1rem;
    font-weight: 400;
    color: #000000;
}


/* CONTACT INDEX */
.contact-form {
    padding: 0 1rem 5rem;
}

.contact-form label {
    color: #000000;
    font-weight: 600;
}

.contact-form input {
    background-color: #FFC700;
}

.contact-form input:focus {
    background-color: #fede65;
}

.contact-form textarea {
    border: 1px solid #000000;
    border-radius: 25px;
    width: 100%;
    font-size: 1rem;
    padding: .5rem;
    background-color: #FFC700;
}

.contact-form textarea:focus {
    background-color: #fede65;
    outline: none;
}

#send-btn {
    margin-bottom: 1rem;
}

/* LOG IN */
.login-form {
    margin: 30vh 1vh 0 0;
}

.login-form h2 {
    text-align: center;
    font-weight: 700;
    font-size: 3rem;
    color: #000000;
}

#login-btn {
    margin-top: .8rem;
}

.input-control {
    margin-bottom: 1rem;
}

.user-help {
    display: flex;
    justify-content: space-between;
    padding: 0 1rem;
}

.new-user,
.forgot-password {
    display: inline-block;
    font-weight: 500;
    font-size: .7rem;
    color: #8b8b8b;
}

.forgot-password a {
    color: #8b8b8b;
}

.new-user p a {
    font-weight: 600;
    color: #000000;
}

/* SIGN UP */
.signup-form {
    margin: 0 1vh 0 0;
    padding-bottom: 5rem;
}

.signup-form h2 {
    text-align: center;
    font-weight: 700;
    font-size: 2.75rem;
    color: #000000;
}

.signup-form a {
    color: #000000;
    font-weight: 600;
}

.signup-form a:hover {
    color: #383838;
}

.form {
    padding: 2rem 1rem 1rem;
    border-radius: 10px;
    font-size: .9rem;
}

.form button {
    font-size: 1rem;
    font-weight: 600;
    color: #FFC700;
    background-color: #000000;
    border-radius: 50px;
    border: none;
    padding: .7rem;
    width: 100%;
    transition: color 0.3s ease;
}

.form button:hover {
    background-color: #383838;
}

.input-control label {
    margin: 0;
    font-weight: 400;
    color: #000000;
}

.input-control input {
    border: 1px solid #383838;
    border-radius: 50px;
    display: block;
    font-size: 1rem;
    padding: .5rem;
    width: 100%;
}

.input-control input:focus {
    outline: 0;
}

.input-control.success input {
    border-color: #09c372;
}

.input-control.error input {
    border-color: #ff3860;
}

.input-control .error {
    color: #ff3860;
    font-size: .8rem;
    height: .5rem;
    margin-bottom: .5rem;
}

.tos {
    font-size: .8rem;
}

.tos-box {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: right;
}

.tos-text p {
    margin-top: 1rem;
    text-align: left;
}

 .modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15vh auto; 
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-height: 80vh; 
  overflow-y: auto; 
}

.content h2 {
    font-size: 2.75rem;   
    padding-bottom: 1rem;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.existing-user {
    display: inline-block;
    font-weight: 500;
    font-size: .8rem;
    color: #8b8b8b;
}

.existing-user p {
    margin: auto;
    text-align: center;
}

.existing-user p a {
    font-weight: 600;
    color: #000000;
    padding-left: .25rem;
}


/* PROFILE */
.profile-page {
    margin-bottom: 15vh;
}

.profile h2 {
    margin-top: 20vh;
    text-align: center;
}

.heading {
    font-weight: 600;
    font-size: 1.25rem;
    color: #000000;
    padding: 0;
}

#editForm {
    display: none;
}

.edit-button {
    outline: none;
    border: none;
    background: none;
}

.edit-button:focus {
    border: none;
    outline: none;
}

.edit-button img {
    height: .9rem;
    margin-bottom: .4rem;
    width: auto;
}

.cursor-pointer {
    cursor: pointer;
}

.profile-box {
    background-color: #f0f0f0;
    margin-right: 1rem;
    padding: 3rem 3rem;
    border-radius: 15px;
}

.tprofile td {
    font-size: 1rem;
    font-weight: 400;
    color: #000000;
    line-height: 2.2;
}

#displayFirstName,
#displayLastName,
#displayPhone,
#displayPassword {
    text-transform: capitalize;
    padding-left: .5rem;
}

#displayEmail {
    padding-left: .5rem;
}

.buttons {
    display: flex;
    justify-content: space-between;
}

.save-btn {
    background-color: #ffc700 !important;
    border: none;
    border-radius: 50px;
    padding: 6px 25px !important;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1rem;
    color: #000 !important;
    margin-top: 1rem;
}

.save-btn:hover {
    background-color: #fede65;
}

.save-btn:focus,
.save-btn:active,
.cancel-btn:active,
.cancel-btn:focus {
    border: none;
    outline: none;
}

.cancel-btn {
    font-weight: 500;
    font-size: .8rem;
    color: #8b8b8b;
    text-transform: uppercase;
    border: none;
    margin-top: 1rem;
}

.cancel-btn:hover {
    text-decoration: underline;
}

.form-group label {
    font-size: .9rem;
    font-weight: 400;
}

.form-group input {
    border: 1px solid #000;
    border-radius: 50px;
    border: 1px solid #383838;
    border-radius: 50px;
    display: block;
    font-size: 1rem;
    padding: .5rem;
    width: 100%;
}

.form-group input:focus {
    outline: 0;
}

.form-group.success input {
    border-color: #09c372;
}

.form-group.error input {
    border-color: #ff3860;
}

.form-group.error {
    color: #ff3860;
    font-size: .8rem;
    height: .5rem;
    margin-bottom: .5rem;
}

/* VEHICLES */
.your-vehicles {
    padding-bottom: 4rem;
    margin: 0 auto;
}

.your-vehicles h2 {
    font-size: 2rem !important;
    margin-top: 25vh;
}

.your-vehicles-form {
    margin: 10rem 0 5rem 0;
    display: none;
}

.your-vehicles-form h4 {
    font-weight: 600;
}

.closeButtonContainer {
    display: flex;
    justify-content: flex-end;
}

.closeButton {
    position: relative;
    background-color: #e2e2e2;
    border: none;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    padding: 0;
    cursor: pointer;
}

.closeButton:hover {
    background-color: #ccc;
}

.closeButton::before,
.closeButton::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 16px;
    height: 2px;
    background-color: black;
    transform-origin: center;
}

.closeButton::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.closeButton::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.closeButton:active {
    border: none;
    outline: none;
}

.add-vehicle-btn {
    background-color: none;
    border: none;
    border-radius: 50px;
    font-weight: 600;
    text-transform: uppercase;
    font-size: .9rem;
    margin: .5rem;
    color: #9b9b9b;
    transition: color 0.1s ease;
}

.add-vehicle-btn:hover {
    background-color: none;
    border: none;
    outline: none;
    color: #000000;
}

.add-vehicle-btn:active,
.add-vehicle-btn:focus {
    outline: none;
    border: none;
}

#placeholder {
    margin-top: .6rem;
    margin-left: .9rem;
    font-weight: 500;
    font-size: .9rem;
    color: #9b9b9b;
    float: left;
}

.fix-truck-button {
    background-color: #ffffff;
    border: 1px solid black;
    border-radius: 50px;
    padding: .5rem 1.5rem;
    font-size: .9rem;
    font-weight: 500;
    color: black;
    text-transform: uppercase;
}

.fix-truck-button:hover {
    background-color: #ffc700;
}

#tbody tr {
    background-color: #f0f0f0;
}

#tfoot tr {
    background-color: none;
}

.vtable {
    margin: .5rem auto;
}

.vtabletext p {
    display: flex;
    text-align: left;
    margin: 0;
    padding-right: 0;
    color: #000000;
    font-size: 1rem;
    font-weight: 500;
    text-transform: normal;
}

#tvehicle {
    background-color: #f0f0f0;
    border-collapse: collapse;
}

.vehicles h2,
.profile h2 {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    font-size: 3rem;
    color: #000000;
    padding-bottom: 2rem;
}

.vehicles h4 {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    font-size: 2rem;
    color: #000000;
    padding-bottom: 1rem;
}

.remove-vehicle-btn,
.remove-vehicle-btn:active,
.remove-vehicle-btn:focus {
    border: none;
    outline: none;
}

.remove-vehicle-btn {
   padding: 0; !important
}

.remove-vehicle-btn img {
    height: 1rem;
    width: auto;
}

.vehicles p {
    font-weight: 400;
    text-align: center;
}

#required {
    display: flex;
    justify-content: center;
    font-weight: 700;
    padding-top: .5rem;
    padding-bottom: 1rem;
}

.input-control.error-truck input {
    border-color: #ff3860;
}

.input-control .error-truck {
    color: #ff3860;
    font-size: .8rem;
    height: .5rem;
    margin-bottom: .5rem;
}

.submit-btn {
    font-weight: 600;
    color: #FFC700;
    text-transform: none;
    background-color: #000000;
    border-radius: 50px;
    border: none;
    padding: 9px;
    width: 100%;
    transition: color 0.3s ease;
    margin-top: 1.5rem;
    margin-bottom: 1rem;
}

.submit-btn:hover {
    background-color: #383838;
}

.submit-btn:active,
.submit-btn:focus {
    border: none;
    outline: none;
}

.w-fit {
    width: fit-content !important;
    width: -moz-fit-content !important;
}

.v-table-right {
    font-size: 1rem !important;
}

.text-black {
    color: #000000;
}

.tprofile th,
.tprofile td {
    padding: 0 .5rem;
    line-height: 100%;
    color: #000;
}

.back-icon {
    font-size: 24px !important;
}

.fix-inp {
    width: 100%;
    border: 1px solid #737373;
}

main {
    min-height: calc(100vh - 246px);
}

.table#tvehicle,
.table#tvehicle th,
.table#tvehicle td {
    border: 0 !important;
}

/* fix truck*/
.popup-form {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #FFFFFF;
    padding: 2rem 2rem;
    border: 1px solid #ccc;
    border-radius: 10px;
    z-index: 1000;
}

.popup-form h2 {
    font-size: 1.5rem;
    font-weight: 700;
    text-transform: capitalize;
}

.popup-form p {
    font-size: 1rem;
    font-weight: 400;
}

.popup-form .buttons {
    display: flex;
    justify-content: space-between;
}

.fix-submit-btn {
    background-color: #FFC700;
    border: none;
    border-radius: 25px;
    padding: 5px 19px;
    color: #000000;
    font-weight: 600;
    text-transform: uppercase;
}

.fix-submit-btn:hover {
    background-color: #fede65;
}

.fix-submit-btn:active,
.fix-close-btn:active {
    border: none;
    outline: none;
}

.fix-close-btn {
    background-color: #ffffff;
    border: none;
    color: #383838;
    font-weight: 500;
    font-size: .9rem;
    text-transform: uppercase;
}

.fix-close-btn:hover {
    color: #000;
}

/* SWITCH FOR VEHICLE FORM */
.toggle {
    position: relative;
}

.toggle *,
.toggle *:before,
.toggle *:after {
    box-sizing: border-box;
}

.toggle input[type="checkbox"] {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
}

.toggle input[type="checkbox"][disabled]~label {
    pointer-events: none;
}

.toggle input[type="checkbox"][disabled]~label .switch {
    opacity: 0.9;
}

.toggle input[type="checkbox"]:checked~label .switch:before {
    content: attr(data-unchecked);
    left: 0;
}

.toggle input[type="checkbox"]:checked~label .switch:after {
    content: attr(data-checked);
}

.toggle label {
    -webkit-user-select: none;
    position: relative;
    display: flex;
    align-items: center;
}

.toggle label {
    flex: 1;
}

.toggle label .switch {
    position: relative;
}

.toggle label .switch:before {
    content: attr(data-checked);
    position: absolute;
    top: 0;
    font-weight: 600;
    text-align: center;
}

.toggle label .switch:after {
    content: attr(data-unchecked);
    position: absolute;
    z-index: 5;
    text-align: center;
    font-weight: 600;
    background: white;
    transform: translate3d(0, 0, 0);
}

.toggle input[type="checkbox"]:focus~label .switch:after,
.toggle input[type="checkbox"]:hover~label .switch:after {
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.4);
}

.toggle input[type="checkbox"]:checked~label .switch:after {
    transform: translate3d(65px, 0, 0);
}

.toggle input[type="checkbox"]:checked:focus~label .switch:after,
.toggle input[type="checkbox"]:checked:hover~label .switch:after {
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.4);
}

.toggle label .switch {
    height: 36px;
    flex: 0 0 134px;
    border-radius: 50px;
}

.toggle label .switch:before {
    left: 67px;
    font-size: .8rem;
    line-height: 36px;
    width: 67px;
    padding: 0 12px;
    border-radius: 50px;
}

.toggle label .switch:after {
    top: 2px;
    left: 2px;
    border-radius: 2px;
    width: 65px;
    line-height: 2rem;
    font-size: .8rem;
    border-radius: 50px;
}

.toggle label .switch:hover:after {
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.4);
}

.input-control input[type="checkbox"]:focus~label .switch,
.input-control input[type="checkbox"]:hover~label .switch {
    background-color: #ffc700;
}

.input-control input[type="checkbox"]:focus~label .switch:after,
.input-control input[type="checkbox"]:hover~label .switch:after {
    color: #ffc700;
}

.input-control input[type="checkbox"]:checked:focus~label .switch,
.input-control input[type="checkbox"]:checked:hover~label .switch {
    background-color: #ffc700;
}

.input-control label .switch {
    transition: background-color 0.3s ease-in-out;
    background: #ffc700;
}

.input-control label .switch:before {
    color: rgb(255, 255, 255);
}

.input-control label .switch:after {
    -webkit-transition: -webkit-transform 0.3s ease-in-out;
    transition: transform 0.3s ease-in-out;
    color: #ffc700;
}

/* TOS */
.terms-service {
    margin-top: 20vh;
    padding-bottom: 2rem;
}

.terms h3 {
    font-weight: 600;
    font-size: 1rem;
    color: #000000;
    margin: auto;
    padding-bottom: 2rem;
    display: flex;
    justify-content: center;
    text-align: center;
}

.terms p {
    padding-bottom: 2rem;
}

/* INBOX */
.chat-text a {
    color: #000 !important;
}

#ib-title {
    margin-top: 10vh;
    margin-bottom: 2rem!important;
    font-size: 2rem !important;
    font-weight: 700;
}

.messages-container {
    min-height: calc(100vh - 240px);
    padding-top: 100px;
}

.message {
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-decoration: none !important;
    color: #383838;
}

.msg-user {
    font-weight: 600;
}

.date-time {
    font-size: 0.8rem;
}

.chat-message .message-content {
    width: 500px;
    max-width: 100%;
    font-size: 14px;
    line-height: 130%;
}

.chat-date {
    font-size: 12px;
    text-align: right;
}

.chat {
    height: calc(100vh - 240px);
    display: flex;
    flex-direction: column;
}

.chat-body {
    overflow-y: auto;
    flex: 1;
}

.sender-message .message-content {
    margin-left: auto;
}

.chat-text {
    margin-bottom: 0;
    padding: 12px;
}

.sender-message .message-content .chat-text {
    background-color: gold;
    border-radius: 15px 15px 0 15px;
}

.receiver-message .message-content .chat-text {
    background-color: #dadada;
    border-radius: 15px 15px 15px 0px;
}


.message {
    background-color: #f0f0f0 !important;
    border-radius: 12px !important;
    color: #000000 !important;
}

.message:hover {
    color: #383838 !important;
}

.rounded-3 {
    border-radius: 20px;
}

/* FOOTER */
.footer {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    min-height: 25vh;
    background-color: #383838;
}

.red {
    width: 90%;
    padding: 2rem 0;
}

.red .text-center {
    padding: 1rem 0;
}

.red h4 {
    color: #ffffff;
    font-weight: 600;
    font-size: 1.25rem;
    padding-bottom: 1rem;
}

.red p {
    color: #ffffff;
    font-weight: 500;
}

.red a {
    color: #ffffff;
}

.fade-in-from-top {
    opacity: 0;
    transform: translateY(-50px);
    transition: opacity 1s, transform 1s;
}

.is-visible {
    opacity: 1;
    transform: translateY(0);
}

.copyright {
    background-color: #383838;
    color: #FFFFFF;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .8rem;
}

@media only screen and (min-height: 480px) {
    .signup-form {
        margin-top: 25vh;
        padding-bottom: 5rem;
    }

    .background {
        height: 100vh;
    }
    
    .background-text {
        margin-top: 18vh;
   	    padding: 1.75rem 0;
    } 
    
    .background-text h2 {
        font-size: 2.5rem;
        overflow-x: hidden;
    }
    
    .buttons-index {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
    
    .btn-login,
    .btn-signup {
        width: 50%;
        margin: 2rem 0 0 0 ;
        font-size: 1rem;
    }
    
    .btn-signup {
        margin-bottom: 2rem;
    }

    #placeholder {
        display: flex;
        text-align: left;
        margin-bottom: .5rem;
        margin-left: .5rem;
    }
    
    .fix-truck-button {
        background-color: #ffffff;
        border: 1px solid black;
        border-radius: 50px;
        padding: .5rem 1.5rem;
        font-size: .9rem;
        font-weight: 500;
        color: black;
        text-transform: uppercase;
    }
    
    .fix-truck-button:hover {
        background-color: #ffc700;
    }
    
    .add-vehicle-btn {
        background-color: #f0f0f0;
        padding: 0;
        margin-top: .75rem;
        font-size: .8rem;
    }
    
    #price {
        font-size: 2rem;
    }
    
    .contact-form {
        padding: 0 0;
    }
    
    .login-form {
        margin: 25vh 1vh 0 0;
    }
    
    .login-form h2 {
        font-size: 2.75rem;
    }
    
    .signup-form h2 {
        font-size: 2.75rem;
    }
    
    .messages h2 {
        font-size: 2rem;
    }
    
    .address h3 {
        width: 100%;
        font-size: 2.75rem;
    }

    .red h4 {
        font-size: 1rem;
        margin: 0;
    }

    .red p {
        font-size: .9rem;
        margin: 0;
    }
    
    .parking-lot p {
        margin-bottom: 0;
    }

    .copyright {
        font-size: .7rem;
        padding: 0 .25rem;
        margin: 0;
    }
    
    .profile-box {
        padding: 2rem 1rem;
    }
    
    .profile-box h5 {
        margin-bottom: 1rem;
    }
    
    .tprofile td {
        padding: 0;
        line-height: 2.2;
    }
    
    .tprofile tr {
    	display: inline-flex;
    	width: 100%;
     }
 
    .profile h2 {
        font-size: 2rem;
    }
}

@media only screen and (min-width: 250px) { 
    .signup-form {
        margin-top: 25vh;
        padding-bottom: 5rem;
    }

    .background {
        height: 100vh;
    }
    
    .background-text {
        margin-top: 18vh;
   	    padding: 1.75rem 0;
    } 
    
    .background-text h2 {
        font-size: 2.5rem;
        overflow-x: hidden;
    }
    
    .buttons-index {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
    
    .btn-login,
    .btn-signup {
        width: 50%;
        margin: 2rem 0 0 0 ;
        font-size: 1rem;
    }
    
    .btn-signup {
        margin-bottom: 2rem;
    }

    #placeholder {
        display: flex;
        text-align: left;
        margin-bottom: .5rem;
        margin-left: .5rem;
    }
    
    .fix-truck-button {
        background-color: #ffffff;
        border: 1px solid black;
        border-radius: 50px;
        padding: .5rem 1.5rem;
        font-size: .9rem;
        font-weight: 500;
        color: black;
        text-transform: uppercase;
    }
    
    .fix-truck-button:hover {
        background-color: #ffc700;
    }
    
    .add-vehicle-btn {
        background-color: #f0f0f0;
        padding: 0;
        margin-top: .75rem;
        font-size: .8rem;
    }
    
    #price {
        font-size: 2rem;
    }
    
    .contact-form {
        padding: 0 0;
    }
    
    .login-form {
        margin: 25vh 1vh 0 0;
    }
    
    .login-form h2 {
        font-size: 2.75rem;
    }
    
    .signup-form h2 {
        font-size: 2.75rem;
    }
    
    .messages h2 {
        font-size: 2rem;
    }
    
    .address h3 {
        width: 100%;
        font-size: 2.75rem;
    }

    .red h4 {
        font-size: 1rem;
        margin: 0;
    }

    .red p {
        font-size: .9rem;
        margin: 0;
    }
    
    .parking-lot p {
        margin-bottom: 0;
    }

    .copyright {
        font-size: .7rem;
        padding: 0 .25rem;
        margin: 0;
    }
    
    .profile-box {
        padding: 2rem 1rem;
    }
    
    .profile-box h5 {
        margin-bottom: 1rem;
    }
    
    .tprofile td {
        padding: 0;
        line-height: 2.2;
    }
    
    .tprofile tr {
    	display: inline-flex;
    	width: 100%;
     }
 
    .profile h2 {
        font-size: 2rem;
    }
}

@media only screen and (min-height: 738px) { 
    .background {
        height: 90vh;
    }
        
    .login-form {
        margin: 30vh 1vh 0 0;
    }
    
    .user-help {
        font-size: .7rem;
    }
 
}

@media only screen and (min-width: 768px) {
    .navbar-brand,
    .navbar-brand:hover {
        font-size: 1.25rem;
    }

    .rates {
        height: 60vh;
    }

    .business-info {
        display: block;
    }

    .address {
        display: flex;
        align-items: center;
        padding: 3rem 2rem 1rem;
    }

    .address h3 {
        width: 100%;
        font-size: 3rem;
    }

    .map-container {
        height: 70vh;
    }

    .question-form {
        padding: 3rem 2rem 3rem 2rem;
    }
    
    .your-vehicles h2 {
        font-size: 3rem !important;
    }
}

@media (min-width: 992px) {
    .signup-form {
        margin: 18vh 1vh 0 0;
        padding-bottom: 5rem;
    }

    .background-text {
        margin-top: 20vh;
        margin-left: 0;
    }

    .background-text h2 {
        font-size: 3.5rem;
        margin: 4.5rem 3rem;
    }
    
    #price {
        font-size: 3rem;
    }

    .address h3 {
        width: 80%;
        font-size: 4.5rem;
    }

    /* CONTACT */
    .contact-form {
        padding: 5rem 2rem 10rem 0;
    }


    /* PARKING LOT */
    .parking-lot {
        padding: 5rem 0 10rem 3rem;
    }

    .profile-box {
        padding: 3rem;
    }

    .fix-truck-button {
        margin-right: 10rem;
    }
    
    .phone {
        padding: 0;
    }

    .hours {
        padding: 0;
    }
    
    .red h4 {
        font-size: 1.25rem;
        margin: 0;
    }

    .red p {
        font-size: 1rem;
        margin: 0;
    }

    .copyright {
        font-size: .9rem;
        padding: 0 .25rem;
        margin: 0;
    }
    
    .profile h2 {
        font-size: 2.75rem;
    }
    
    #ib-title {
        font-size: 2.75rem !important;
    }
    
    .signup-form h2 {
        font-size: 3rem;
    }
    
    .buttons-index {
        display: flex ;
        flex-direction: row;
        width: 90%;
        align-items: center;
    }
    
    .btn-login,
    .btn-signup {
        width: 30%;
        padding: .5rem 1rem;
        margin: 0 0 5rem 3rem;
        font-size: 1.5rem;
    }
}

@media (min-width: 1200px) {
    .background {
        height: 65rem;
    }
    
    .background-text h2 {
        font-size: 5rem;
        margin: 4.5rem 3rem;
    }

    .address h3 {
        width: 60%;
    }

    /* CONTACT */
    .contact-form {
        padding: 8rem 4rem 10rem 1rem;
    }


    /* PARKING LOT */
    .parking-lot {
        padding: 8rem 1rem 10rem 5rem;
    }

    .profile-box {
        padding: 4rem;
    }
    
    .tprofile td {
        line-height: 2.2;
    }
}

@media only screen and (min-width: 360px) and (max-width: 412px) {
  /* CSS styles for this screen width */
  .your-vehicles h2 {
      font-size: 2rem !important;
  }
  
  .login h2,
  .signup h2 {
      font-size: 2rem !important;
  }
  
  .new-user p {
      display: inline-flex;
      font-size: .7rem;
  }
  
  .new-user a {
      font-size: .7rem;
  }
}